Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### curveTangent()

Examples

    noFill();
    curve(5, 26, 73, 24, 73, 61, 15, 65);
    int steps = 6;
    for (int i = 0; i <= steps; i++) {
      float t = i / float(steps);
      float x = curvePoint(5, 73, 73, 15, t);
      float y = curvePoint(26, 24, 61, 65, t);
      //ellipse(x, y, 5, 5);
      float tx = curveTangent(5, 73, 73, 15, t);
      float ty = curveTangent(26, 24, 61, 65, t);
      float a = atan2(ty, tx);
      a -= PI/2.0;
      line(x, y, cos(a)*8 + x, sin(a)*8 + y);
    }

Description | Calculates the tangent of a point on a curve. There is a good definition of "tangent" at Wikipedia: http://en.wikipedia.org/wiki/Tangent

Syntax

    curveTangent(a, b, c, d, t)

Parameters

a | int or float: coordinate of first point on the curve
b | int or float: coordinate of first control point
c | int or float: coordinate of second control point
d | int or float: coordinate of second point on the curve
t | float: value between 0 and 1

Usage | Web & Application
Related | curve() curveVertex() curvePoint() bezierTangent()

Updated on November 22, 2008 08:39:26pm PST